## javanet.staxutils.helpers
Class FilterXMLOutputFactory

    java.lang.Object
      javax.xml.stream.XMLOutputFactory
          javanet.staxutils.helpers.FilterXMLOutputFactory

Direct Known Subclasses:
  StaxUtilsXMLOutputFactory

    public abstract class FilterXMLOutputFactory

extends XMLOutputFactory

An output factory that transforms each writer from a contained factory. Subclasses are required to implement the transformation.

Field Summary
`protected XMLOutputFactory` `source`

Fields inherited from class javax.xml.stream.XMLOutputFactory
`IS_REPAIRING_NAMESPACES`

Constructor Summary
`FilterXMLOutputFactory()`
`FilterXMLOutputFactory(XMLOutputFactory source)`

Method Summary
`XMLEventWriter` `createXMLEventWriter(OutputStream stream)`
`XMLEventWriter` `createXMLEventWriter(OutputStream stream, String encoding)`
`XMLEventWriter` `createXMLEventWriter(Result result)`
`XMLEventWriter` `createXMLEventWriter(Writer writer)`
`XMLStreamWriter` `createXMLStreamWriter(OutputStream stream)`
`XMLStreamWriter` `createXMLStreamWriter(OutputStream stream, String encoding)`
`XMLStreamWriter` `createXMLStreamWriter(Result result)`
`XMLStreamWriter` `createXMLStreamWriter(Writer writer)`
`boolean` `equals(Object o)`
`protected static boolean` `equals(Object x, Object y)`
`protected abstract XMLEventWriter` `filter(XMLEventWriter writer)` Transform the given writer.
`protected abstract XMLStreamWriter` `filter(XMLStreamWriter writer)`
`Object` `getProperty(String name)` Delegates to source.
`int` `hashCode()`
`protected static int` `hashCode(Object o)`
`boolean` `isPropertySupported(String name)` Delegates to source.
`void` `setProperty(String name, Object value)` Delegates to source.

Methods inherited from class javax.xml.stream.XMLOutputFactory
`newFactory, newFactory, newInstance, newInstance`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### source

    protected XMLOutputFactory source

Constructor Detail

### FilterXMLOutputFactory

    public FilterXMLOutputFactory()

### FilterXMLOutputFactory

    public FilterXMLOutputFactory(XMLOutputFactory source)

Method Detail

### filter

    protected abstract XMLEventWriter filter(XMLEventWriter writer)

  Transform the given writer.

### filter

    protected abstract XMLStreamWriter filter(XMLStreamWriter writer)

### isPropertySupported

    public boolean isPropertySupported(String name)

  Delegates to source.

  Specified by:
    `isPropertySupported` in class `XMLOutputFactory`

### setProperty

    public void setProperty(String name,
                            Object value)
                     throws IllegalArgumentException

  Delegates to source.

  Specified by:
    `setProperty` in class `XMLOutputFactory`
  Throws:
    `IllegalArgumentException`

### getProperty

    public Object getProperty(String name)
                       throws IllegalArgumentException

  Delegates to source.

  Specified by:
    `getProperty` in class `XMLOutputFactory`
  Throws:
    `IllegalArgumentException`

### createXMLEventWriter

    public XMLEventWriter createXMLEventWriter(Result result)
                                        throws XMLStreamException

  Specified by:
    `createXMLEventWriter` in class `XMLOutputFactory`
  Throws:
    `XMLStreamException`

### createXMLEventWriter

    public XMLEventWriter createXMLEventWriter(Writer writer)
                                        throws XMLStreamException

  Specified by:
    `createXMLEventWriter` in class `XMLOutputFactory`
  Throws:
    `XMLStreamException`

### createXMLEventWriter

    public XMLEventWriter createXMLEventWriter(OutputStream stream)
                                        throws XMLStreamException

  Specified by:
    `createXMLEventWriter` in class `XMLOutputFactory`
  Throws:
    `XMLStreamException`

### createXMLEventWriter

    public XMLEventWriter createXMLEventWriter(OutputStream stream,
                                               String encoding)
                                        throws XMLStreamException

  Specified by:
    `createXMLEventWriter` in class `XMLOutputFactory`
  Throws:
    `XMLStreamException`

### createXMLStreamWriter

    public XMLStreamWriter createXMLStreamWriter(Result result)
                                          throws XMLStreamException

  Specified by:
    `createXMLStreamWriter` in class `XMLOutputFactory`
  Throws:
    `XMLStreamException`

### createXMLStreamWriter

    public XMLStreamWriter createXMLStreamWriter(Writer writer)
                                          throws XMLStreamException

  Specified by:
    `createXMLStreamWriter` in class `XMLOutputFactory`
  Throws:
    `XMLStreamException`

### createXMLStreamWriter

    public XMLStreamWriter createXMLStreamWriter(OutputStream stream)
                                          throws XMLStreamException

  Specified by:
    `createXMLStreamWriter` in class `XMLOutputFactory`
  Throws:
    `XMLStreamException`

### createXMLStreamWriter

    public XMLStreamWriter createXMLStreamWriter(OutputStream stream,
                                                 String encoding)
                                          throws XMLStreamException

  Specified by:
    `createXMLStreamWriter` in class `XMLOutputFactory`
  Throws:
    `XMLStreamException`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### hashCode

    protected static int hashCode(Object o)

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### equals

    protected static boolean equals(Object x,
                                    Object y)